Last modified: 2014-03-08 15:26:53 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 36225 - Review Extension:SignupAPI for deployment
Review Extension:SignupAPI for deployment
Status: RESOLVED WONTFIX
Product: MediaWiki extensions
Classification: Unclassified
SignupAPI (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: Akshay Agarwal
:
Depends on: 11600
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-25 03:30 UTC by Sumana Harihareswara
Modified: 2014-03-08 15:26 UTC (History)
16 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Sumana Harihareswara 2012-04-25 03:30:39 UTC
Akshay has been working on fixing bugs and making user experience improvements: https://www.mediawiki.org/wiki/User:Akshay.agarwal and I know that the editor engagement experiments and community folks at Wikimedia Foundation are interested in getting this extension reviewed and deployed.

This extension aims to resolve bug 34447 .

Also this will help with https://meta.wikimedia.org/wiki/Research:Account_creation_UX
Comment 1 Sumana Harihareswara 2012-04-25 03:39:01 UTC
I have heard that Ryan Kaldari may be interested in working on this codebase, and in reviewing it prior to deployment.  Assigning to him.  Ryan, along with your GSoC mentorship time, do you have time to work on this as part of your 20% time, or possibly as part of your regular work?  Thanks.
Comment 2 Sumana Harihareswara 2012-04-25 03:47:35 UTC
Not really a shell bug until a senior MediaWiki developer approves it for deployment, so, not putting the "shell" keyword in yet.
Comment 3 Ryan Kaldari 2012-04-27 23:24:46 UTC
I added the extension to the Git migration request list:
https://www.mediawiki.org/wiki/Git/Conversion/Extensions_queue

Now we wait on Chad.
Comment 4 Ryan Kaldari 2012-04-27 23:27:11 UTC
Akshay, do you have a Gerrit account yet? If not, you'll need to get one before the extension can be migrated.

If you don't, see https://www.mediawiki.org/wiki/Git/Workflow#Get_the_right_permissions
Comment 5 Chad H. 2012-04-27 23:41:44 UTC
(In reply to comment #3)
> I added the extension to the Git migration request list:
> https://www.mediawiki.org/wiki/Git/Conversion/Extensions_queue
> 
> Now we wait on Chad.

This has been exported to Gerrit and can be cloned from the mediawiki/extensions/SignupAPI.git project. 

I couldn't find Akshay in Gerrit yet, but you're in the extension-SignupAPI group Ryan, so you can add the user when Akshay is setup.
Comment 6 Ryan Kaldari 2012-04-28 00:22:42 UTC
Thanks Chad! Don't you ever sleep?
Comment 7 p858snake 2012-04-28 00:30:16 UTC
(In reply to comment #6)
> Thanks Chad! Don't you ever sleep?

No, we keep him hooked up on a ballmer peak of coffee.
Comment 8 Sumana Harihareswara 2012-05-16 18:23:03 UTC
Ryan Kaldari and Chris Steipp are collaborating on reviewing this extension towards getting it deployed on Wikimedia sites. You can see it at https://gerrit.wikimedia.org/r/#/q/status:open+project:mediawiki/extensions/SignupAPI,n,z .  The Editor Engagement Experiments team is eager to get this reviewed and deployed.  Thanks, Ryan and Chris.
Comment 9 Steven Walling 2012-05-21 22:18:43 UTC
Looks like Kaldari has left some review comments.

I assume our next steps is get Ori on implementation of requested changes. Thanks Kaldari for the help!
Comment 10 Sumana Harihareswara 2012-05-22 14:06:56 UTC
Adding Ori to this bug.
Comment 11 Sumana Harihareswara 2012-07-24 17:27:14 UTC
Looking at https://gerrit.wikimedia.org/r/#/q/project:mediawiki/extensions/SignupAPI,n,z - who is it who's working on this right now?  Ryan, should this bug be assigned to you, Ori, or someone else?
Comment 12 Steven Walling 2012-07-24 17:28:41 UTC
This is still in the work queue for E3, but since we're in the middle of testing/deploying a different experiment it's on the backburner.
Comment 13 spage 2012-09-05 21:47:39 UTC
Hi. In my initial development for the Account creation user experience experiment <https://www.mediawiki.org/wiki/Account_creation_user_experience> I've looked at the code.  I made some notes in https://www.mediawiki.org/wiki/Account_creation_user_experience/SignupAPI , maybe you'll find them of interest.

My bias for the experiment is to leave the server-side PHP code unchanged, rather than adding a new Special:UserSignup; but I may adopt some of your validate API.
Comment 14 Akshay Agarwal 2012-09-05 21:49:23 UTC
I am working on implementing the changes as suggested in the code review and bugs filed by E3 team during testing. I shall collaborate with Ori on this & possibly he might mentor me on pushing this towards deployment.
Comment 15 Andre Klapper 2012-10-12 12:39:39 UTC
Akshay: Would it be useful to have a dedicated "SignupAPI" component here in Bugzilla under the "MediaWiki extensions" product, and set you as the default assignee for bug reports filed under it? 
Might make it easier to report and find issues of SignupAPI...
Comment 16 Akshay Agarwal 2012-10-12 13:16:38 UTC
Andre: That would be excellent. I tried adding a new component to Bugzilla from the administration page but I do not have the sufficient rights, could you please do this for me. thanks.
Comment 17 Andre Klapper 2012-10-12 13:21:21 UTC
Great! Done.
Comment 18 Sumana Harihareswara 2012-11-16 21:49:25 UTC
Steven and S, I just wanted to check on the status of the updated signup functionality.  I see that https://gerrit.wikimedia.org/r/#/q/project:mediawiki/extensions/SignupAPI,n,z includes some -1 reviews from Arthur and S -- are you waiting for improvements by author Akshay?  Is there another place I should be looking for signup API improvements?

Thanks.
Comment 19 Andre Klapper 2013-02-05 11:16:46 UTC
Steven, S: Could you answer comment 18 please?

Akshay: Is anything blocking you?
Comment 20 spage 2013-02-05 20:25:16 UTC
WMF will not deploy SignupAPI, instead we will some day rewrite much of the "account creation user experience" code currently in the E3Experiments extension into core.

Also Gerrit change #18127 implemented a 'createaccount' API with similar functionality to 'signup'.

I acknowledge and appreciate Akshay's work, it was very helpful.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links